Wan 3.0 Image to Video
Integreren
alibaba/wan-3.0/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/alibaba/wan-3.0/image-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "The hummingbird hovers in place with blurred wings, sips from the flower, then darts out of frame as the camera slowly racks focus to dew drops on the leaves.",
"resolution": "480p",
"duration": 5,
"generate_audio": false,
"image": "https://content.doitong.com/dev-api/2026/10/21/req_8d2gi6xieif0cf518mbnx752/0-MBac_P_HYvIYfHDIWeUvA_IRELThrq.png"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/alibaba/wan-3.0/image-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "The hummingbird hovers in place with blurred wings, sips from the flower, then darts out of frame as the camera slowly racks focus to dew drops on the leaves.",
"resolution": "480p",
"duration": 5,
"generate_audio": false,
"image": "https://content.doitong.com/dev-api/2026/10/21/req_8d2gi6xieif0cf518mbnx752/0-MBac_P_HYvIYfHDIWeUvA_IRELThrq.png"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "The hummingbird hovers in place with blurred wings, sips from the flower, then darts out of frame as the camera slowly racks focus to dew drops on the leaves.",
"resolution": "480p",
"duration": 5,
"generate_audio": False,
"image": "https://content.doitong.com/dev-api/2026/10/21/req_8d2gi6xieif0cf518mbnx752/0-MBac_P_HYvIYfHDIWeUvA_IRELThrq.png",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/alibaba/wan-3.0/image-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/nl/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "alibaba/wan-3.0/image-to-video",
"input": {
"prompt": "The hummingbird hovers in place with blurred wings, sips from the flower, then darts out of frame as the camera slowly racks focus to dew drops on the leaves.",
"resolution": "480p",
"duration": 5,
"generate_audio": false,
"image": "https://content.doitong.com/dev-api/2026/10/21/req_8d2gi6xieif0cf518mbnx752/0-MBac_P_HYvIYfHDIWeUvA_IRELThrq.png"
}
}
Roep het Wan 3.0 Image to Video-model (alibaba/wan-3.0/image-to-video) aan via de Doitong API. Documentatie voor agents: https://doitong.com/nl/developers/models/alibaba/wan-3.0/image-to-video.md
POST https://api.doitong.ru/v1/run/alibaba/wan-3.0/image-to-video?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "The hummingbird hovers in place with blurred wings, sips from the flower, then darts out of frame as the camera slowly racks focus to dew drops on the leaves.",
"resolution": "480p",
"duration": 5,
"generate_audio": false,
"image": "https://content.doitong.com/dev-api/2026/10/21/req_8d2gi6xieif0cf518mbnx752/0-MBac_P_HYvIYfHDIWeUvA_IRELThrq.png"
}
Als de responsstatus "queued" of "running" is, poll dan GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 totdat deze "succeeded" is; de bestanden staan in outputs[].url. POST https://api.doitong.ru/v1/quote/alibaba/wan-3.0/image-to-video met dezelfde body retourneert de exacte prijs vóór de uitvoering.
Deze request: $ 0,25 250 API-tegoed · ≈ ₽ 26,83 Op deze pagina uitvoeren
Je nieuwe API-sleutel. Deze wordt alleen nu getoond en staat al in de code en in het onderstaande API-sleutelveld. Houd deze geheim: zet deze nooit in code die in een browser wordt uitgevoerd.
Voorbeelden
Een aanvraag samenstellen
Besturingselementen worden gegenereerd op basis van het modelschema. De code en de prijs worden bijgewerkt terwijl je ze wijzigt.
/run/alibaba/wan-3.0/image-to-video?wait=20
prijsopgave → $ 0,25
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/alibaba/wan-3.0/image-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "The hummingbird hovers in place with blurred wings, sips from the flower, then darts out of frame as the camera slowly racks focus to dew drops on the leaves.",
"resolution": "480p",
"duration": 5,
"generate_audio": false,
"image": "https://content.doitong.com/dev-api/2026/10/21/req_8d2gi6xieif0cf518mbnx752/0-MBac_P_HYvIYfHDIWeUvA_IRELThrq.png"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/alibaba/wan-3.0/image-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "The hummingbird hovers in place with blurred wings, sips from the flower, then darts out of frame as the camera slowly racks focus to dew drops on the leaves.",
"resolution": "480p",
"duration": 5,
"generate_audio": false,
"image": "https://content.doitong.com/dev-api/2026/10/21/req_8d2gi6xieif0cf518mbnx752/0-MBac_P_HYvIYfHDIWeUvA_IRELThrq.png"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "The hummingbird hovers in place with blurred wings, sips from the flower, then darts out of frame as the camera slowly racks focus to dew drops on the leaves.",
"resolution": "480p",
"duration": 5,
"generate_audio": False,
"image": "https://content.doitong.com/dev-api/2026/10/21/req_8d2gi6xieif0cf518mbnx752/0-MBac_P_HYvIYfHDIWeUvA_IRELThrq.png",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/alibaba/wan-3.0/image-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "alibaba/wan-3.0/image-to-video",
"input": {
"prompt": "The hummingbird hovers in place with blurred wings, sips from the flower, then darts out of frame as the camera slowly racks focus to dew drops on the leaves.",
"resolution": "480p",
"duration": 5,
"generate_audio": false,
"image": "https://content.doitong.com/dev-api/2026/10/21/req_8d2gi6xieif0cf518mbnx752/0-MBac_P_HYvIYfHDIWeUvA_IRELThrq.png"
},
"wait_seconds": 20
}
}
}
Deze request uitvoeren
Je sleutel blijft in deze browser: hij wordt alleen naar de Doitong API verzonden en alleen in localStorage opgeslagen als je Onthouden aanvinkt. API-sleutel ophalen
Gemaakt op Doitong
Openbare werken gemaakt met Wan 3.0 door de Doitong-community. Gebruik een prompt opnieuw met één klik.
Video
Создай 30-секундный обучающий музыкальный ролик для детей 3–5 лет. Тема: транспорт. Яркая 2D-анимация, весёлый водитель в кепке, крупные машины, пастельные цвета. 0:00–0:10 приветствие под музыку; 0:10–0:30 песенка: "Машина едет би-би, би-би", "Поезд едет ту-ту, ту-ту". Бодрая детская музыка...
Video
Создай 30-секундный обучающий музыкальный ролик для детей 3–5 лет. Тема: транспорт. Яркая 2D-анимация, тот же весёлый водитель в кепке, самолёт. 0:00–0:15 песенка: "Самолёт летит вж-ж-ж, вж-ж-ж"; 0:15–0:25 интерактивная пауза: водитель спрашивает "Как гудит машина?", пауза; 0:25–0:30 финальный...
Video
# PROMPT: Animated Mother’s Day greeting card **Format:** vertical video 9:16 **Duration:** 12–15 seconds **Style:** high‑quality Pixar‑inspired 3D animation, cinematic, warm, emotional, charming animated movie aesthetic. ### The main character is a child Use the attached image as the only and...
Over Wan 3.0 Image to Video
Wan 3.0 image-to-video begint met je afbeelding en kan eindigen met een tweede afbeelding, standaard met gegenereerde audio. De prompt is optioneel. Clips van 2 tot 30 seconden in 480p, 720p of 1080p, met een adaptieve of vaste beeldverhouding en een optionele redeneerstap voor complexe beweging.
Parameters
Stuur de canonieke naam of de oorspronkelijke naam, niet beide. Canonieke namen
promptoptioneel
resolutionoptioneel
aspect_ratiooptioneel
durationoptioneel
audiooptioneel
generate_audio
enable_prompt_expansionoptioneel
enable_thinkingoptioneel
seedoptioneel
start_image_urlverplicht
image
end_image_urloptioneel
end_image
Bestandsparameters accepteren een openbare https:// URL, een data: URI tot 10 MB of de file_url van een upload. Bestanden
Uitvoer
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "alibaba/wan-3.0/image-to-video",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 250,
"usd": "0.25",
"charged": 250,
"refunded": 0
},
"input": {
"prompt": "The fox leaps toward the fireflies and lands softly on the grass",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"duration": 5,
"resolution": "720p"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200,
"width": 1024,
"height": 768,
"fps": 1.0,
"duration": 5,
"num_frames": 1
},
"seed": 42,
"duration": 5,
"actual_prompt": "string"
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Velden van de uitvoer
- video
- object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}Videobestand dat door de generatie is geproduceerd.
- seed
- integerSeedwaarde die tijdens de generatie wordt toegepast.
- duration
- numberLengte van de gegenereerde video, gemeten in seconden.
- actual_prompt
- string | null
Andere varianten van Wan 3.0
Meer modellen: Afbeelding naar video
Voor AI-agents: deze pagina als Markdown staat op https://doitong.com/nl/developers/models/alibaba/wan-3.0/image-to-video.md. Alle modellen en handleidingen: https://doitong.com/developers/llms.txt